package test;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;

import javax.annotation.ManagedBean;
import javax.annotation.Resource;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

//@ManagedBean
public class DS {
    //@Resource(name="jdbc/MySqlTest")
    private DataSource ds;
    public DS() throws NamingException {
        Context initctx = new InitialContext();
        Context envctx  = (Context)initctx.lookup("java:/comp/env");
        ds = (DataSource)envctx.lookup("jdbc/MySqlTest");
    }
    public int test() {
        try {
            int v;
            Connection con = ds.getConnection();
            System.out.println(con.getClass().getName());
            Statement stmt = con.createStatement();
            ResultSet rs = stmt.executeQuery("SELECT 123");
            if(rs.next()) {
                v = rs.getInt(1);
            } else {
                v = 0;
            }
            rs.close();
            stmt.close();
            con.close();
            return v;
        } catch(Exception ex) {
            ex.printStackTrace();
            return 0;
        }
    }
}
