<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" trimDirectiveWhitespaces="true" %>
<%@ page import="java.util.*" %> 
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="sql" uri="http://java.sun.com/jsp/jstl/sql" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Database access test page</title>
</head>
<body>
<h1>Database access test page</h1>
<h2>Query without params:</h2>
<%--
<sql:setDataSource dataSource="jdbc/MySqlTest" var="con1"/>
--%>
<sql:setDataSource driver="com.mysql.jdbc.Driver" url="jdbc:mysql://localhost/Test" user="root" password="" var="con1"/>
<sql:query dataSource="${con1}" sql="SELECT f1,f2 FROM t1" var="res"/>
<c:forEach items="${res.rows}" var="row">
<c:out value="${row.f1}"/> : <c:out value="${row.f2}"/><br>
</c:forEach>
<h2>Query with params:</h2>
<sql:setDataSource driver="com.mysql.jdbc.Driver" url="jdbc:mysql://localhost/Test" user="root" password="" var="con2"/>
<sql:query dataSource="${con2}" sql="SELECT f1,f2 FROM t1 WHERE f1 > ?" var="res">
<sql:param value="2"/>
</sql:query>
<c:forEach items="${res.rows}" var="row">
<c:out value="${row.f1}"/> : <c:out value="${row.f2}"/><br>
</c:forEach>
<h2>Update with params:</h2>
<sql:setDataSource driver="com.mysql.jdbc.Driver" url="jdbc:mysql://localhost/Test" user="root" password=""  var="con3"/>
<sql:update dataSource="${con3}" sql="DELETE FROM t1 WHERE f1 > ?" var="res">
<sql:param value="10"/>
</sql:update>
<c:out value="${res}"/>
</body>
</html>
