package test;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns={"/data"})
public class DataServlet extends HttpServlet {
	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	    DataManager mgr = new DataManager();
	    List<Data> data = mgr.getAll();
		request.setAttribute("data", data);
		request.getRequestDispatcher("data.jsp").forward(request, response);
	}
	@Override
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException {
	    DataManager mgr = new DataManager();
	    Data o = new Data(Integer.parseInt(request.getParameter("iv")), request.getParameter("sv"));
	    mgr.add(o);
		response.sendRedirect("data");
	}
}
