package test;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

public class FormTag extends TagSupport {
    private String fields;
    private String btn;
    private String method = "POST";
    private static String capitalize(String s) {
        return s.substring(0, 1).toUpperCase() + s.substring(1).toLowerCase();
    }
    @Override
    public int doStartTag() {
        String[] names = fields.split(",");
        try {
            JspWriter out = pageContext.getOut();
            out.println("<form method='" + method + "'>");
            for(int i = 0; i < names.length; i++) {
                out.println(capitalize(names[i]) + " : <input type='text' name='" + names[i] + "'>");
                out.println("<br>");
            }
            out.println("<input type='submit' value='" + btn + "'>");
            out.println("</form>");
        } catch (IOException e) {
        }
        return SKIP_BODY;
    }
    @Override
    public int doEndTag() {
        return EVAL_PAGE;
    }
    public String getFields() {
        return fields;
    }
    public void setFields(String fields) {
        this.fields = fields;
    }
    public String getBtn() {
        return btn;
    }
    public void setBtn(String btn) {
        this.btn = btn;
    }
    public String getMethod() {
        return method;
    }
    public void setMethod(String method) {
        this.method = method;
    }
}
