package test;

import java.security.Principal;
import java.util.Arrays;

import org.apache.catalina.realm.GenericPrincipal;
import org.apache.catalina.realm.RealmBase;

public class MyRealm extends RealmBase {
	private String extra;
	public String getExtra() {
		return extra;
	}
	public void setExtra(String extra) {
		this.extra = extra;
	}
	@Override
	protected String getName() {
		return "MyRealm";
	}
	@Override
    protected String getPassword(String username) {
		GenericPrincipal p = (GenericPrincipal)getPrincipal(username);
		if(p != null) {
			return p.getPassword();
		} else {
			return null;
		}
    }
	@Override
    protected Principal getPrincipal(String username) {
		if(username.equals("arne")) {
			return new GenericPrincipal("arne", "secret", Arrays.asList("user", "admin", extra));
		} else {
			return null;
		}
    }
}
