<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" trimDirectiveWhitespaces="true" %>
<%@ page import="java.util.*" %> 
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Core test page</title>
<%
// demo data
List<Integer> lst = new ArrayList<Integer>();
lst.add(1);
lst.add(3);
lst.add(5);
lst.add(7);
lst.add(9);
request.setAttribute("lst", lst);
String str = "A,B,C";
request.setAttribute("str", str);
%>
</head>
<body>
<h1>Core test page</h1>
<h2>Iterate:</h2>
<c:set var="n" value="0"/>
<c:forEach items="${lst}" var="v">
<c:out value="${n}"/> : <c:out value="${v}"/>,
<c:set var="n" value="${n+1}"/>
<c:if test="${n % 2 == 0}">
<br>
</c:if>
</c:forEach>
<h2>Tokenize:</h2>
<c:forTokens items="${str}" delims="," var="v">
<c:out value="${v}"/>
<c:choose>
<c:when test="${v=='A'}"> : A</c:when>
<c:when test="${v=='B'}"> : B</c:when>
<c:otherwise> : neither A nor B</c:otherwise>
</c:choose>
<br>
</c:forTokens>
<h2>Import:</h2>
<c:import url="fragment.jsp" var="fragment"/>
<c:out value="${fragment}"/>
</body>
</html>