<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" trimDirectiveWhitespaces="true" %>
<%@ page import="java.util.*" %> 
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Formatting test page</title>
<%
double xv = 1234.5678;
request.setAttribute("xv", xv);
Date d = new Date();
request.setAttribute("d", d);
%>
</head>
<body>
<h1>Formatting test page</h1>
<h2>Bundles:</h2>
<fmt:setLocale value="da_DK"/>
<fmt:bundle basename="test">
<fmt:message key="good"/><br>
<fmt:message key="bad"/><br>
</fmt:bundle>
<fmt:setLocale value="en_US"/>
<fmt:bundle basename="test">
<fmt:message key="good"/><br>
<fmt:message key="bad"/><br>
</fmt:bundle>
<h2>Numbers and dates:</h2>
<fmt:setLocale value="da_DK"/>
<fmt:formatNumber value="${xv}"/><br>
<fmt:formatNumber value="${xv}" type="number"/><br>
<fmt:formatNumber value="${xv}" type="currency"/><br>
<fmt:formatNumber value="${xv}" type="percent"/><br>
<fmt:formatDate value="${d}"/><br>
<fmt:formatDate value="${d}" type="date"/><br>
<fmt:formatDate value="${d}" type="time"/><br>
<fmt:formatDate value="${d}" type="both"/><br>
<fmt:setLocale value="en_US"/>
<fmt:formatNumber value="${xv}"/><br>
<fmt:formatNumber value="${xv}" type="number"/><br>
<fmt:formatNumber value="${xv}" type="currency"/><br>
<fmt:formatNumber value="${xv}" type="percent"/><br>
<fmt:formatDate value="${d}"/><br>
<fmt:formatDate value="${d}" type="date"/><br>
<fmt:formatDate value="${d}" type="time"/><br>
<fmt:formatDate value="${d}" type="both"/><br>
</body>
</html>
