<%-- Directive controlling overall page: --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" trimDirectiveWhitespaces="true" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>JSP structure - XML syntax</title>
<%-- Declaration of class, field and method: --%>
<jsp:declaration>
public class X {
    private String s;
    public X(String s) {
        this.s = s;
    }
    public String getS() {
        return s;
    }
}
private X[] x = new X[2];
private void setTwo(String s1, String s2) {
    x[0] = new X(s1);
    x[1] = new X(s2);
}
</jsp:declaration>
</head>
<body>
<h1>JSP structure - XML syntax</h1>
<h2>Demo:</h2>
<%-- Scriptlet calling method: --%>
<jsp:scriptlet>
setTwo("ABC", "DEF");
</jsp:scriptlet>
<%-- Expressions outputting: --%>
<jsp:expression>x[0].getS()</jsp:expression>
<br>
<jsp:expression>x[1].getS()</jsp:expression>
</body>
</html>
