<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" trimDirectiveWhitespaces="true" %>
<%@ taglib prefix="x" uri="http://java.sun.com/jsp/jstl/xml" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>XML test page</title>
<%
// demo data
String xmlstr = "<all><one id='1'>A</one><one id='2'>BB</one><one id='3'>CCC</one></all>";
request.setAttribute("xmlstr", xmlstr);
String xslstr = "<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'><xsl:output method='html' indent='yes'/><xsl:template match='all'><ul><xsl:apply-templates/></ul></xsl:template><xsl:template match='one'><li><xsl:value-of select='text()'/></li></xsl:template></xsl:stylesheet>";
request.setAttribute("xslstr", xslstr);
%>
</head>
<body>
<h1>XML test page</h1>
<h2>Parse and iterate:</h2>
<x:parse doc="${xmlstr}" varDom="doc"/>
<x:forEach select="$doc/all/one" var="one">
<x:out select="$one/@id"/> : <x:out select="$one/text()"/><br>
</x:forEach>
<h2>Transform:</h2>
<x:transform doc="${xmlstr}" xslt="${xslstr}"/>
${res}
</body>
</html>